/***************************************************************************
                          adressbuch.h  -  description                              
                             -------------------                                         
    begin                : 1999-2000                                          
    copyright            : (C) 1999 by Christoph Maciejewski                   
    email                : christophmac@01019freenet.de
                  
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef ADRESSBUCH_H
#define ADRESSBUCH_H

#include <kapp.h>
#include <qwidget.h>
#include <qobject.h>
#include <qpushbutton.h>
#include <qfont.h>
#include <qlineedit.h>
#include <qfiledialog.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qlcdnumber.h>
#include <qprogressbar.h>
#include <qmessagebox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <string.h>
#include <qdir.h>
#include <qpainter.h>

class Adressbuch : public QWidget {
  Q_OBJECT 
public: 
  /** construtor */
  Adressbuch(QWidget*parent=0,const char* name=0); 
  /** destructor */
  ~Adressbuch();

public slots:
    void information();
    void boxinhalt();
    void listeninhalt();
    void datenLaden(const char string[][9][40]);
    void schreiben();
    void loeschenfn();
    void neuer();
    void dateiAnlegen();
    void datAnlegenM();
    void heileWelt();
    void heileWelt2();
    void speichern();
    void boxNeu();
    void mailen();

protected:
    void paintEvent( QPaintEvent * );


private:
    QPushButton *quit;
    QLabel  *titel;
    QLabel  *neubuch;
    QPushButton *explore;
    QPushButton *email;
    QPushButton *anlegen;
    QPushButton *abbrechen;
    QPushButton *neuerEintrag;
    QPushButton *loeschen;
    QPushButton *cancel;
    QPushButton *speicher;
    QPushButton *neuAdressbuch;
    QComboBox  *box;
    QGroupBox  *bereich1;
    QGroupBox  *bereich2;
    QGroupBox  *bereich3;
    QGroupBox  *bereich4;
    QLabel  *label;
    QMessageBox  *info;
    QMessageBox  *info2;
    QMessageBox  *info3;
    QListBox  *liste;
    QLineEdit  *nachname;
    QLineEdit  *vorname;
    QLineEdit  *strasse;
    QLineEdit  *plz;
    QLineEdit  *ort;
    QLineEdit  *tel1;
    QLineEdit  *tel2;
    QLineEdit  *bem1;
    QLineEdit  *bem2;
    QLineEdit  *adrbuch;
    QLCDNumber  *lcd1;
    QLCDNumber  *lcd2;
    QWidget  *neu;
    QPainter *paint;



};
#endif
